## IdeDevice IdeDevice |

## Functions

#define | IDE_TYPE_DEVICE
GKeyFile * | ide_device_get_config ()
const gchar * | ide_device_get_display_name ()
void | ide_device_set_display_name ()
const gchar * | ide_device_get_id ()
void | ide_device_set_id ()
const gchar * | ide_device_get_system_type ()

## Properties

gchar * | display-name | Read / Write
gchar * | id | Read / Write
gchar * | system-type | Read

## Types and Values

struct | IdeDeviceClass
| IdeDevice

## Object Hierarchy

        GObject
        ╰── IdeObject
            ╰── IdeDevice
                ├── IdeLocalDevice
                ╰── IdeMingwDevice

## Description

## Functions

### IDE_TYPE_DEVICE

    #define IDE_TYPE_DEVICE (ide_device_get_type())

### ide_device_get_config ()

    GKeyFile *
    ide_device_get_config (IdeDevice *device);

Retrieves any custom configuration that is required to build for the device. Such values might include additional options to autoconf or paths to cross-compilers.

#### Parameters

device | A IdeDevice. |

#### Returns

A GKeyFile or `NULL`.

[transfer none][nullable]

### ide_device_get_display_name ()

    const gchar *
    ide_device_get_display_name (IdeDevice *device);

This function returns the name of the device. If no name has been set, then `NULL` is returned.

In some cases, this value wont be available until additional information has been probed from the device.

#### Returns

A string containing the display name for the device.

[nullable]

### ide_device_set_display_name ()

    void
    ide_device_set_display_name (IdeDevice *device,
                                 const gchar *display_name);

### ide_device_get_id ()

    const gchar *
    ide_device_get_id (IdeDevice *device);

Retrieves the "id" property of the IdeDevice. This is generally not a user friendly name as it is often a guid.

#### Returns

A unique identifier for the device.

### ide_device_set_id ()

    void
    ide_device_set_id (IdeDevice *device,
                       const gchar *id);

### ide_device_get_system_type ()

    const gchar *
    ide_device_get_system_type (IdeDevice *device);

This is the description of the system we are building for. Commonly, this is referred to as a "system_type". A combination of the machine architecture such as x86_64, the operating system, and the libc.

"x86_64-linux-gnu" might be one such system.

#### Returns

A string containing the system type.

## Types and Values

### struct IdeDeviceClass

    struct IdeDeviceClass {
      IdeObjectClass parent;

      GKeyFile    *(*get_config)      (IdeDevice *device);
      const gchar *(*get_system_type) (IdeDevice *device);
    };

### IdeDevice

    typedef struct _IdeDevice IdeDevice;

## Property Details

### The `“display-name”` property

      “display-name”             gchar *

The display name of the device.

Flags: Read / Write

Default value: NULL

### The `“id”` property

      “id”                       gchar *

The device identifier.

Flags: Read / Write

Default value: NULL

### The `“system-type”` property

      “system-type”              gchar *

The system type for which to compile.

Flags: Read

Default value: NULL